This URL retrieves the list of top targets.
Resource URL
GET /domain/<domain_id>/threatexplorer/alerts/TopN/<count>/direction/<direction>/duration/<duration>/targets?includeChildDomain=<includeChildDomain>&&action=<action>&&value=<value>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
| Number of top attacks to display. Values allowed are: 5,10,15,20 or 25 | Boolean | No |
| Direction of the attack. Values allowed are: ANY, INBOUND & OUTBOUND | String | No |
| Duration can be:
| String | Yes |
| Include the child domains. Default is true | Boolean | No |
| Should the data be filtered or grouped. Values allowed are:
| String | No |
| If action is group, the values allowed are:
If the action is filter, we can give multiple filters separated by ":::". The format of value will be <filter_name1>=<filter_value>::: <filter_name2>=<filter_value> . The filter_name's and filter_values allowed are:
| String | No |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of top targets. It contains TE top targets list. | Object |
Details of fields in TETopTargetsList:
Field Name | Description | Data Type |
|---|---|---|
| IP of the target | String |
| DNS name of the target | String |
| Country of the target | String |
| Target user | String |
| Numbers of the attack | Number |
Example
Request
Response
{
"TETopTargetsList":
[
{
"targetIP": "1.1.223.9",
"targetDNSName": "node-irt.pool-1-1.dynamic.totbb.net.",
"targetCountry": "Thailand",
"targetUser": "Unknown",
"attackCount": 2
},
{
"targetIP": "1.1.223.10",
"targetDNSName": "node-iru.pool-1-1.dynamic.totbb.net.",
"targetCountry": "Thailand",
"targetUser": "Unknown",
"attackCount": 2
}
]
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |
2 | 400 | 3707 | Top count should be 5,10,15,20 or 25 |
3 | 400 | 3702 | Invalid action |
4 | 400 | 3701 | Invalid "GroupBy" string specified |
5 | 400 | 3704 | Invalid filters specified |
6 | 400 | 3703 | Invalid direction |
7 | 400 | 3601 | Invalid duration |